This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53941 - rpm --rebuilddb crashes with
rpm --rebuilddb crashes with
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-23 08:44 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 12:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-23 08:44:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
On my i386 system (pretty much standard RH 7.1 the rpm exits ungracefully
with an 
memory alloc (2237676289 bytes) returned NUL
after rpm --rebuilddb 
I have a fairly large installation (i.e. some components) but thsi should
not happen.
The same error occurs when trying to install any component

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuilddb
2.
3.
	

Actual Results:  memory alloc (2237676289 bytes) returned NUL

Expected Results:  exits gracefully		

Additional info:
Comment 1 Jeff Johnson 2001-10-04 12:14:08 EDT
You have a damaged header in your rpm database.

Try installing rpm-4.0.3 from Raw Hide and/or
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
as I believe a --rebuilddb with rpm-4.0.3 will fix your
problem.
Comment 2 Jeff Johnson 2002-06-21 15:51:07 EDT
Assuming problem fixed.

Note You need to log in before you can comment on or make changes to this bug.